%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: pymilia
Version: 0.3.0
Release: 14%{?dist}
Summary: Python wrappers for milia
License: GPLv3+

Group: Development/Languages
URL: http://guaix.fis.ucm.es/projects/milia/wiki
Source0: ftp://astrax.fis.ucm.es/pub/users/spr/milia/%{name}-%{version}.tar.gz

BuildRequires: python-devel python-setuptools 
BuildRequires: boost-devel milia-devel >= 0.3.1

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%description
Python wrappers for milia. Milia is a C++ library created to 
compute cosmological distances and ages in the 
Friedmann-Lemaître-Robertson-Walker metric.

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}
chmod 755 %{buildroot}%{python_sitearch}/milia/*.so
 
%files
%doc COPYING README.txt NEWS.txt
%{python_sitearch}/milia/
%{python_sitearch}/*.egg-info

%changelog
* Mon Aug 13 2012 Sergio Pascual <sergiopr@fedoraproject.org> - 0.3.0-14
- Rebuilt for new boost 1.50

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 20 2012 Sergio Pascual <sergiopr@fedoraproject.org> - 0.3.0-12
- Rebuilt for new milia

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 24 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.3.0-10
- Rebuilt for new boost 1.48

* Tue Aug 23 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.3.0-9
- Added filter to remove false provides

* Thu Apr 07 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.3.0-8
- Rebuilt for new boost

* Thu Mar 17 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 0.3.0-7
- Rebuilt for new boost

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.3.0-5
- rebuild for new boost

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jan 20 2010 Sergio Pascual <sergiopr at fedoraproject.com> - 0.3.0-3
- Adding CFLAGS in build line

* Wed Jan 20 2010 Sergio Pascual <sergiopr at fedoraproject.com> - 0.3.0-2
- Updated build requires
- Corrected minor typos

* Mon Jan 18 2010 Sergio Pascual <sergiopr at fedoraproject.com> - 0.3.0-1
- Initial spec file
